### Method

# Gimp FileProcedure set_prefixes

since: 3.0

#### Declaration [src]

    void
    gimp_file_procedure_set_prefixes (
      GimpFileProcedure* procedure,
      const gchar* prefixes
    )

#### Description [src]

It should almost never be necessary to register prefixes with file procedures, because most sorts of URIs should be handled by GIO.

Available since: 3.0

#### Parameters

`prefixes`

  Type: `const gchar*`

  A comma separated list of prefixes this procedure can handle (i.e. “http:,ftp:”).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.